package nl.iobyte.themepark.api.attraction.manager;

import nl.iobyte.themepark.api.attraction.component.Status;
import org.bukkit.Material;
import java.util.HashMap;

public class StatusManager {

    private static HashMap<Status, String> names = new HashMap<>();
    private static HashMap<Status, Material> materials = new HashMap<>();
    private static HashMap<Status, Short> datas = new HashMap<>();
    private static HashMap<Status, Boolean> teleports = new HashMap<>();

    public static void addStatus(Status status, String name, Material material, short data, boolean teleport) {
        if(status == null || name == null || material == null || data < 0)
            return;

        if(name.isEmpty())
            return;

        names.put(status, name);
        materials.put(status, material);
        datas.put(status, data);
        teleports.put(status, teleport);
    }

    public static String getName(Status status) {
        return names.get(status);
    }

    public static Material getMaterial(Status status) {
        return materials.get(status);
    }

    public static short getData(Status status) {
        return datas.get(status);
    }

    public static boolean canTeleport(Status status) {
        return teleports.get(status);
    }

}
