package nl.iobyte.themepark.api.events.attraction;

import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.api.attraction.component.Status;
import nl.iobyte.themepark.api.events.ChangeEvent;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;

public class PreChangeStatusEvent extends ChangeEvent<Status> implements Cancellable {

    private Attraction attraction;
    private Player player;
    private boolean cancel = false;

    public PreChangeStatusEvent(Attraction attraction, Player player, Status before, Status after) {
        super(before, after);
        this.attraction = attraction;
        this.player = player;
    }

    public Attraction getAttraction() {
        return attraction;
    }

    public Player getPlayer() {
        return player;
    }

    public boolean isCancelled() {
        return cancel;
    }

    public void setCancelled(boolean b) {
        cancel = b;
    }

}
